halapi hierarchichalalignmentformatapi

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes
hal::GenomeSegment Class Reference

`#include <genomeSegment.h>`

Inheritance diagram for hal::GenomeSegment:

List of all members.

## Public Member Functions
genidx_t | getStart () const
genidx_t | getLength () const
segidx_t | getParseIdx () const
genidx_t | getParseOffset () const
## Static Public Attributes
static const segidx_t | NullIndex
## Protected Attributes
genidx_t | _start
genidx_t | _length
segidx_t | _parseIdx
genidx_t | _parseOffset

## Detailed Description

Abstract base class for a DNA segment (interval in genome) Segments for now are glorified structs that hold the coordinates and little else. More useful interface will be at higher level

## Member Function Documentation

genidx_t hal::GenomeSegment::getLength | ( |  | ) | const

Get length of segment

segidx_t hal::GenomeSegment::getParseIdx | ( |  | ) | const

Get index of leftmost segment overlapping in same genome

genidx_t hal::GenomeSegment::getParseOffset | ( |  | ) | const

Get offset of above

genidx_t hal::GenomeSegment::getStart | ( |  | ) | const

Get start coordinate in genome

## Member Data Documentation

const segidx_t hal::GenomeSegment::NullIndex`[static]`

Null index value

The documentation for this class was generated from the following file:

- inc/genomeSegment.h

All Classes Functions Variables